<?php
require_once(getabspath("classes/cipherer.php"));



$tdata____________ = array();
$tdata____________[".ShortName"] = "____________";

$tdata____________[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdata____________[".originalPagesByType"] = $tdata____________[".pagesByType"];
$tdata____________[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdata____________[".originalPages"] = $tdata____________[".pages"];
$tdata____________[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdata____________[".originalDefaultPages"] = $tdata____________[".defaultPages"];


//	field labels
$fieldLabels____________ = array();
$pageTitles____________ = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabels____________["English"] = array();
	$fieldLabels____________["English"]["persons_numPers"] = "الرقم";
	$fieldLabels____________["English"]["persons_firstName"] = "الإسم";
	$fieldLabels____________["English"]["persons_fatherName"] = "إسم الأب";
	$fieldLabels____________["English"]["persons_motherName"] = "إسم الأم";
	$fieldLabels____________["English"]["persons_lastName"] = "الشهرة";
	$fieldLabels____________["English"]["persons_sex"] = "الجنس";
	$fieldLabels____________["English"]["persons_dateNaissance"] = "تاريخ الولادة";
	$fieldLabels____________["English"]["persons_numRegister"] = "رقم السجل";
	$fieldLabels____________["English"]["persons_religion"] = "الطائفة";
	$fieldLabels____________["English"]["persons_religionRegister"] = "طائفة السجل";
	$fieldLabels____________["English"]["persons_region"] = "المنطقة";
	$fieldLabels____________["English"]["persons_numRegion"] = "القلم";
	$fieldLabels____________["English"]["persons_vote"] = "إقترع";
	$fieldLabels____________["English"]["persons_phone"] = "رقم الهاتف";
	$fieldLabels____________["English"]["persons_job"] = "المهنة";
	$fieldLabels____________["English"]["persons_hasCar"] = "لديه سيارة";
	$fieldLabels____________["English"]["persons_wasit_name"] = "إسم الوسيط";
	$fieldLabels____________["English"]["persons_teamName"] = "اللائحة أو الحزب";
	$fieldLabels____________["English"]["persons_status"] = "حالته";
	$fieldLabels____________["English"]["persons_voteWith"] = "يقترع ";
	$fieldLabels____________["English"]["persons_address_city"] = "بلدة السكن";
	$fieldLabels____________["English"]["persons_address_street"] = "شارع السكن";
	$fieldLabels____________["English"]["persons_address_build"] = "بناية السكن";
	$fieldLabels____________["English"]["persons_link"] = "صلة القربة";
	$fieldLabels____________["English"]["persons_leaderName"] = "الشخصية";
	$fieldLabels____________["English"]["persons_adherence"] = "الإلتزام الإنتخابي";
	$fieldLabels____________["English"]["persons_repairList"] = "تصحيح اللائحة";
	$fieldLabels____________["English"]["persons_serviceCode"] = "الخدمات الممنوحة";
	$fieldLabels____________["English"]["persons_sortNbr"] = "متسلسل";
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabels____________["Arabic"] = array();
	$fieldLabels____________["Arabic"]["persons_numPers"] = "رقم";
	$fieldLabels____________["Arabic"]["persons_firstName"] = "إسم ";
	$fieldLabels____________["Arabic"]["persons_fatherName"] = "أسم الأب";
	$fieldLabels____________["Arabic"]["persons_motherName"] = "أسم الأم";
	$fieldLabels____________["Arabic"]["persons_lastName"] = "شهرة";
	$fieldLabels____________["Arabic"]["persons_sex"] = "جنس";
	$fieldLabels____________["Arabic"]["persons_dateNaissance"] = "تاريخ الولادة";
	$fieldLabels____________["Arabic"]["persons_numRegister"] = "رقم السجل";
	$fieldLabels____________["Arabic"]["persons_religion"] = "مذهب";
	$fieldLabels____________["Arabic"]["persons_religionRegister"] = "طائفة السجل";
	$fieldLabels____________["Arabic"]["persons_region"] = "منطقة";
	$fieldLabels____________["Arabic"]["persons_numRegion"] = "رقم المنطقة";
	$fieldLabels____________["Arabic"]["persons_vote"] = "إقترع";
	$fieldLabels____________["Arabic"]["persons_phone"] = "هاتف";
	$fieldLabels____________["Arabic"]["persons_job"] = "المهنة";
	$fieldLabels____________["Arabic"]["persons_hasCar"] = "لديه سيارة";
	$fieldLabels____________["Arabic"]["persons_wasit_name"] = "إسم الوسيط";
	$fieldLabels____________["Arabic"]["persons_teamName"] = "لائحة أو حزب";
	$fieldLabels____________["Arabic"]["persons_status"] = "حالته";
	$fieldLabels____________["Arabic"]["persons_voteWith"] = "يقترع ";
	$fieldLabels____________["Arabic"]["persons_address_city"] = "بلدة السكن";
	$fieldLabels____________["Arabic"]["persons_address_street"] = "شارع السكن";
	$fieldLabels____________["Arabic"]["persons_address_build"] = "بناية السكن";
	$fieldLabels____________["Arabic"]["persons_link"] = "صلة القربة";
	$fieldLabels____________["Arabic"]["persons_leaderName"] = "الشخصية";
	$fieldLabels____________["Arabic"]["persons_adherence"] = "الإلتزام الإنتخابي";
	$fieldLabels____________["Arabic"]["persons_repairList"] = "تصحيح اللائحة";
	$fieldLabels____________["Arabic"]["persons_serviceCode"] = "الخدمات الممنوحة";
	$fieldLabels____________["Arabic"]["persons_sortNbr"] = "متسلسل";
}

//	search fields
$tdata____________[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"firstName" );
$tdata____________[".searchFields"]["persons_firstName"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"fatherName" );
$tdata____________[".searchFields"]["persons_fatherName"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"motherName" );
$tdata____________[".searchFields"]["persons_motherName"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"lastName" );
$tdata____________[".searchFields"]["persons_lastName"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"sex" );
$tdata____________[".searchFields"]["persons_sex"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"dateNaissance" );
$tdata____________[".searchFields"]["persons_dateNaissance"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"numRegister" );
$tdata____________[".searchFields"]["persons_numRegister"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"religion" );
$tdata____________[".searchFields"]["persons_religion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"religionRegister" );
$tdata____________[".searchFields"]["persons_religionRegister"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"region" );
$tdata____________[".searchFields"]["persons_region"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"numRegion" );
$tdata____________[".searchFields"]["persons_numRegion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"vote" );
$tdata____________[".searchFields"]["persons_vote"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"phone" );
$tdata____________[".searchFields"]["persons_phone"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"job" );
$tdata____________[".searchFields"]["persons_job"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"hasCar" );
$tdata____________[".searchFields"]["persons_hasCar"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"wasit_name" );
$tdata____________[".searchFields"]["persons_wasit_name"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"teamName" );
$tdata____________[".searchFields"]["persons_teamName"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"status" );
$tdata____________[".searchFields"]["persons_status"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"voteWith" );
$tdata____________[".searchFields"]["persons_voteWith"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"numPers" );
$tdata____________[".searchFields"]["persons_numPers"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"address_city" );
$tdata____________[".searchFields"]["persons_address_city"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"address_street" );
$tdata____________[".searchFields"]["persons_address_street"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"address_build" );
$tdata____________[".searchFields"]["persons_address_build"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"link" );
$tdata____________[".searchFields"]["persons_link"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"leaderName" );
$tdata____________[".searchFields"]["persons_leaderName"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"adherence" );
$tdata____________[".searchFields"]["persons_adherence"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"repairList" );
$tdata____________[".searchFields"]["persons_repairList"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"serviceCode" );
$tdata____________[".searchFields"]["persons_serviceCode"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"persons", "field"=>"sortNbr" );
$tdata____________[".searchFields"]["persons_sortNbr"] = $dashField;

// all search fields
$tdata____________[".allSearchFields"] = array();
$tdata____________[".allSearchFields"][] = "persons_firstName";
$tdata____________[".allSearchFields"][] = "persons_fatherName";
$tdata____________[".allSearchFields"][] = "persons_motherName";
$tdata____________[".allSearchFields"][] = "persons_lastName";
$tdata____________[".allSearchFields"][] = "persons_sex";
$tdata____________[".allSearchFields"][] = "persons_dateNaissance";
$tdata____________[".allSearchFields"][] = "persons_numRegister";
$tdata____________[".allSearchFields"][] = "persons_religion";
$tdata____________[".allSearchFields"][] = "persons_religionRegister";
$tdata____________[".allSearchFields"][] = "persons_region";
$tdata____________[".allSearchFields"][] = "persons_numRegion";
$tdata____________[".allSearchFields"][] = "persons_vote";
$tdata____________[".allSearchFields"][] = "persons_phone";
$tdata____________[".allSearchFields"][] = "persons_job";
$tdata____________[".allSearchFields"][] = "persons_hasCar";
$tdata____________[".allSearchFields"][] = "persons_wasit_name";
$tdata____________[".allSearchFields"][] = "persons_teamName";
$tdata____________[".allSearchFields"][] = "persons_status";
$tdata____________[".allSearchFields"][] = "persons_voteWith";
$tdata____________[".allSearchFields"][] = "persons_numPers";
$tdata____________[".allSearchFields"][] = "persons_address_city";
$tdata____________[".allSearchFields"][] = "persons_address_street";
$tdata____________[".allSearchFields"][] = "persons_address_build";
$tdata____________[".allSearchFields"][] = "persons_link";
$tdata____________[".allSearchFields"][] = "persons_leaderName";
$tdata____________[".allSearchFields"][] = "persons_adherence";
$tdata____________[".allSearchFields"][] = "persons_repairList";
$tdata____________[".allSearchFields"][] = "persons_serviceCode";
$tdata____________[".allSearchFields"][] = "persons_sortNbr";

// good like search fields
$tdata____________[".googleLikeFields"] = array();
$tdata____________[".googleLikeFields"][] = "persons_firstName";
$tdata____________[".googleLikeFields"][] = "persons_fatherName";
$tdata____________[".googleLikeFields"][] = "persons_motherName";
$tdata____________[".googleLikeFields"][] = "persons_lastName";
$tdata____________[".googleLikeFields"][] = "persons_sex";
$tdata____________[".googleLikeFields"][] = "persons_dateNaissance";
$tdata____________[".googleLikeFields"][] = "persons_numRegister";
$tdata____________[".googleLikeFields"][] = "persons_religion";
$tdata____________[".googleLikeFields"][] = "persons_religionRegister";
$tdata____________[".googleLikeFields"][] = "persons_region";
$tdata____________[".googleLikeFields"][] = "persons_numRegion";
$tdata____________[".googleLikeFields"][] = "persons_vote";
$tdata____________[".googleLikeFields"][] = "persons_phone";
$tdata____________[".googleLikeFields"][] = "persons_job";
$tdata____________[".googleLikeFields"][] = "persons_hasCar";
$tdata____________[".googleLikeFields"][] = "persons_wasit_name";
$tdata____________[".googleLikeFields"][] = "persons_teamName";
$tdata____________[".googleLikeFields"][] = "persons_status";
$tdata____________[".googleLikeFields"][] = "persons_voteWith";
$tdata____________[".googleLikeFields"][] = "persons_numPers";
$tdata____________[".googleLikeFields"][] = "persons_address_city";
$tdata____________[".googleLikeFields"][] = "persons_address_street";
$tdata____________[".googleLikeFields"][] = "persons_address_build";
$tdata____________[".googleLikeFields"][] = "persons_link";
$tdata____________[".googleLikeFields"][] = "persons_leaderName";
$tdata____________[".googleLikeFields"][] = "persons_adherence";
$tdata____________[".googleLikeFields"][] = "persons_repairList";
$tdata____________[".googleLikeFields"][] = "persons_serviceCode";
$tdata____________[".googleLikeFields"][] = "persons_sortNbr";

$tdata____________[".dashElements"] = array();

	$dbelement = array( "elementName" => "persons_search", "table" => "persons",
		 "pageName" => "search1","type" => 4);
	$dbelement["cellName"] = "cell_0_0";

			

	$tdata____________[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "persons_list", "table" => "persons",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "cell_1_0";

					$dbelement["inlineAdd"] = 0 > 0;
	$dbelement["inlineEdit"] = 0 > 0;
	$dbelement["deleteRecord"] = 0 > 0;
	$dbelement["copy"] = 0 > 0;

	$dbelement["popupAdd"] = 0 > 0;
	$dbelement["popupEdit"] = 0 > 0;
	$dbelement["popupView"] = 0 > 0;

	$dbelement["updateSelected"] = 0 > 0;


	$tdata____________[".dashElements"][] = $dbelement;

$tdata____________[".shortTableName"] = "____________";
$tdata____________[".entityType"] = 4;



$tableEvents["لوحة التفتيش"] = new eventsBase;
$tdata____________[".hasEvents"] = false;


$tdata____________[".tableType"] = "dashboard";



$tdata____________[".addPageEvents"] = false;

$tdata____________[".isUseAjaxSuggest"] = true;

$tables_data["لوحة التفتيش"]=&$tdata____________;
$field_labels["____________"] = &$fieldLabels____________;
$page_titles["____________"] = &$pageTitles____________;

?>